## ros-dashing-nav2-world-model 0.2.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(nav2_world_model)

find_package(ament_cmake REQUIRED)
find_package(nav2_common REQUIRED)
find_package(rclcpp REQUIRED)
find_package(nav2_util)
find_package(nav2_msgs)
find_package(nav2_costmap_2d REQUIRED)
find_package(tf2_ros REQUIRED)

nav2_package()

include_directories(
  include
)

set(executable_name world_model)

add_executable(${executable_name}
  src/main.cpp
)

set(library_name ${executable_name}_core)

add_library(${library_name} SHARED
  src/world_model.cpp
)

# prevent pluginlib from using boost
target_compile_definitions(${library_name} PUBLIC "PLUGINLIB__DISABLE_BOOST_FUNCTIONS")

set(dependencies
  rclcpp
  nav2_util
  nav2_msgs
  nav2_costmap_2d
  tf2_ros
)

ament_target_dependencies(${executable_name}
  ${dependencies}
)

target_link_libraries(${executable_name} ${library_name})

ament_target_dependencies(${library_name}
  ${dependencies}
)

install(TARGETS ${executable_name} ${library_name}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION lib/${PROJECT_NAME})

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_export_include_directories(include)

ament_package()

=== debian/changelog ===
ros-dashing-nav2-world-model (0.2.6-1bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Brian Wilcox <brian.wilcox@intel.com>  Wed, 16 Oct 2019 17:50:27 -0000

=== debian/control ===
Source: ros-dashing-nav2-world-model
Section: misc
Priority: extra
Maintainer: Brian Wilcox <brian.wilcox@intel.com>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake, ros-dashing-ament-cmake-gtest, ros-dashing-ament-cmake-pytest, ros-dashing-ament-lint-auto, ros-dashing-ament-lint-common, ros-dashing-launch, ros-dashing-launch-testing, ros-dashing-nav2-common, ros-dashing-nav2-costmap-2d, ros-dashing-nav2-msgs, ros-dashing-nav2-util, ros-dashing-rclcpp, ros-dashing-tf2-ros, ros-dashing-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-nav2-world-model
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-nav2-costmap-2d, ros-dashing-nav2-msgs, ros-dashing-nav2-util, ros-dashing-rclcpp, ros-dashing-tf2-ros, ros-dashing-ros-workspace
Description: TODO

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/dashing" \
		-DAMENT_PREFIX_PATH="/opt/ros/dashing"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-nav2-world-model//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
